﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Kresleni
{
    public partial class Box : UserControl
    {
        public Box()
        {
            InitializeComponent();
        }

        int x0, y0;
        bool down = false;
        private void Box_MouseDown(object sender, MouseEventArgs e)
        {
            x0 = e.X;
            y0 = e.Y;
            down = true;
        }

        private void Box_MouseMove(object sender, MouseEventArgs e)
        {
            if (down)
            {
                if (e.Button == MouseButtons.Left)
                {
                    this.Left += e.X - x0;
                    this.Top += e.Y - y0;
                }
                else if (e.Button == MouseButtons.Right)
                {
                    this.Width += e.X - x0;
                    this.Height += e.Y - y0;
                    x0 = e.X;
                    y0 = e.Y;
                }
            }
        }
        private void openMenu_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                this.BackgroundImage = new Bitmap(openFileDialog1.FileName);
                this.BackgroundImageLayout = ImageLayout.Zoom;
            }
        }


        private void backgroundMenu_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = this.BackColor;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
                this.BackColor = colorDialog1.Color;

        }

        private void Box_MouseUp(object sender, MouseEventArgs e)
        {
            down = false;

        }
    }
}
